Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.tomcat
Class Tomcat5xContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.tomcat.AbstractTomcatContainer
                      org.apache.cactus.integration.ant.container.tomcat.AbstractCatalinaContainer
                          org.apache.cactus.integration.ant.container.tomcat.Tomcat5xContainer

All Implemented Interfaces:
  Container

public class Tomcat5xContainer
extends AbstractCatalinaContainer

Special container support for the Apache Tomcat 5.x servlet container.

Version:
  $Id: Tomcat5xContainer.java 238811 2004-02-29 10:10:42Z vmassol $

Constructor Summary
`Tomcat5xContainer()`

Method Summary
`void` | `init()` The default implementation does nothing.
`void` | `shutDown()` Subclasses must implement this method to perform the actual task of shutting down the container.
`void` | `startUp()` Subclasses must implement this method to perform the actual task of starting up the container.

Methods inherited from class org.apache.cactus.integration.ant.container.tomcat.AbstractCatalinaContainer
`getName, setTmpDir`

Methods inherited from class org.apache.cactus.integration.ant.container.tomcat.AbstractTomcatContainer
`addConf, getDir, getPort, getServerXml, setDir, setPort, setServerXml`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getTestContext, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tomcat5xContainer

    public Tomcat5xContainer()

Method Detail

### init

    public final void init()

  Description copied from class: `AbstractContainer`
  The default implementation does nothing.

  Specified by:
    `init` in interface `Container`
  Overrides:
    `init` in class `AbstractCatalinaContainer`
  See Also:
    `Container.init()`

### startUp

    public final void startUp()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of starting up the container.

  See Also:
    `Container.startUp()`

### shutDown

    public final void shutDown()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of shutting down the container.

  See Also:
    `Container.shutDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.